---
- entityDefinitions:
  - IDR_Assign_Relationship_Method__assigns__Relationship: '{cd689fdf-2754-458f-be1e-d4ea98c37335}'
  - IDR_Relationship__assigned_by__Assign_Relationship_Method: '{23255a3d-cb38-4464-b77b-51f2502fe98b}'

  - IDR_Assign_Relationship_Method__uses__Executable_returning_Instance_Set: '{e5615121-0a72-408b-8ae4-f880841e74ba}'
  - IDR_Executable_returning_Instance_Set__used_by__Assign_Relationship_Method: '{aa99c960-f0dc-4ac6-93b9-f335239b8aa7}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_AssignRelationshipMethod;'
    inherits:  '&IDC_Method;'
    name:      AR - Assign Relationship Method
    index:     23
    customTagName: assignRelationshipMethod
    registerForTemplate: yes
    superclasses:
    - instance: '&IDC_Method;'
    # - instance: '&IDC_ExecutableProcessingUpdate;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Assign_Relationship_Method__assigns__Relationship;'
      customTagName: 'assignsRelationshipId'
    - instance: '&IDR_Assign_Relationship_Method__uses__Executable_returning_Instance_Set;'
      customTagName: 'instanceId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'

  - relationship: '&IDR_Assign_Relationship_Method__assigns__Relationship;'
    index: 23
    sourceClassId: '&IDC_AssignRelationshipMethod;'
    type: 'assigns'
    destinationClassId: '&IDC_Relationship;'
    siblingRelationshipId: '&IDR_Relationship__assigned_by__Assign_Relationship_Method;'
    singular: yes

  - relationship: '&IDR_Assign_Relationship_Method__uses__Executable_returning_Instance_Set;'
    index: 43
    sourceClassId: '&IDC_AssignRelationshipMethod;'
    type: 'uses'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__used_by__Assign_Relationship_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__used_by__Assign_Relationship_Method;'
    index: 50
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'used by'
    destinationClassId: '&IDC_AssignRelationshipMethod;'
    siblingRelationshipId: '&IDR_Assign_Relationship_Method__uses__Executable_returning_Instance_Set;'
    singular: no

  - relationship: '&IDR_Relationship__assigned_by__Assign_Relationship_Method;'
    index: 78
    sourceClassId: '&IDC_Relationship;'
    type: 'assigned by'
    destinationClassId: '&IDC_AssignRelationshipMethod;'
    siblingRelationshipId: '&IDR_Assign_Relationship_Method__assigns__Relationship;'
    singular: no
